#include "zigateplugin.h"
#include <unistd.h>
#include <iostream>

using namespace std;
class ZigatePugin;

bool ZigatePlugin::resetCoordinator()
{
    bool returnCode = false;

    cout << "Sending reset to coordinator" << endl;
    sendCmd("0011", "");
    cout << "***************************************************" << endl;
    //sleep(5);
    return returnCode;
}

void ZigatePlugin::getVersion()
{
    sendCmd("0010", "");
}
/*
bool ZigatePlugin::setHeartBeat()
{

}

bool ZigatePlugin::getNetworkState()
{

}

bool ZigatePlugin::erasePersistentData()
{

}

bool ZigatePlugin::factoryNewReset()
{

}

bool ZigatePlugin::permitJoin()
{

}

bool ZigatePlugin::setExpendedPANID()
{

}

bool ZigatePlugin::setChannelMask()
{

}

bool ZigatePlugin::setSecurityStateKey()
{

}

bool ZigatePlugin::setDeviceType()
{

}

bool ZigatePlugin::startNetwork()
{

}

bool ZigatePlugin::startNetworkScan()
{

}

bool ZigatePlugin::removeDevice()
{

}

bool ZigatePlugin::enablePermissionsControlledJoins()
{

}

bool ZigatePlugin::authenticateDevice()
{

}

bool ZigatePlugin::outOfBandCommissioningDataRequest()
{

}

bool ZigatePlugin::userDescriptorSet()
{

}

bool ZigatePlugin::userDescriptorRequest()
{

}

bool ZigatePlugin::bind()
{

}

bool ZigatePlugin::unbind()
{

}

bool ZigatePlugin::complexDescriptorRequest()
{

}

bool ZigatePlugin::networkAddressRequest()
{

}

bool ZigatePlugin::iEEEAddressRequest()
{

}

bool ZigatePlugin::nodeDescriptorRequest()
{

}

bool ZigatePlugin::simpleDescriptorRequest()
{

}

bool ZigatePlugin::powerDescriptorRequest()
{

}

bool ZigatePlugin::activeEndpointRequest()
{

}

bool ZigatePlugin::matchDescriptorRequest()
{

}

bool ZigatePlugin::managementLeaveRequest()
{

}

bool ZigatePlugin::permitJoiningRequest()
{

}

bool ZigatePlugin::managementNetworkUpdateRequest()
{

}

bool ZigatePlugin::systemServerDiscoveryRequest()
{

}

bool ZigatePlugin::managementLQIRequest()
{

}

bool ZigatePlugin::addGroup()
{

}

bool ZigatePlugin::viewGroup()
{

}

bool ZigatePlugin::getGroupMembership()
{

}

bool ZigatePlugin::removeGroup()
{

}

bool ZigatePlugin::removeAllGroups()
{

}

bool ZigatePlugin::addGroupIfIdentify()
{

}

bool ZigatePlugin::identifySend()
{

}

bool ZigatePlugin::identifyQuery()
{

}

bool ZigatePlugin::moveToLevel()
{

}

bool ZigatePlugin::moveToLevelWithWithoutOnOoff()
{

}

bool ZigatePlugin::moveStep()
{

}

bool ZigatePlugin::moveStopMove()
{

}

bool ZigatePlugin::moveStopWithOnOff()
{

}

bool ZigatePlugin::onOffWithNEffects()
{

}

bool ZigatePlugin::onOffWithEffects()
{

}

bool ZigatePlugin::onOffTimedSend()
{

}

bool ZigatePlugin::onOffTimed()
{

}

bool ZigatePlugin::onOffWithEffectsSend()
{

}

bool ZigatePlugin::viewScene()
{

}

bool ZigatePlugin::addScene()
{

}

bool ZigatePlugin::removeScene()
{

}

bool ZigatePlugin::removeAllScenes()
{

}

bool ZigatePlugin::storeScene()
{

}

bool ZigatePlugin::recallScene()
{

}

bool ZigatePlugin::sceneMembershipRequest()
{

}

bool ZigatePlugin::addEnhancedScene()
{

}

bool ZigatePlugin::viewEnhancedHostToNodeScene()
{

}

bool ZigatePlugin::copyScene()
{

}

bool ZigatePlugin::moveToHue()
{

}

bool ZigatePlugin::moveHue()
{

}

bool ZigatePlugin::stepHue()
{

}

bool ZigatePlugin::moveToSaturation()
{

}

bool ZigatePlugin::moveSaturation()
{

}

bool ZigatePlugin::stepSaturation()
{

}

bool ZigatePlugin::moveToHueAndSaturation()
{

}

bool ZigatePlugin::moveToColour()
{

}

bool ZigatePlugin::moveColour()
{

}

bool ZigatePlugin::stepColour()
{

}

bool ZigatePlugin::enhancedMoveToHue()
{

}

bool ZigatePlugin::enhancedMoveHue()
{

}

bool ZigatePlugin::enhancedStepHue()
{

}

bool ZigatePlugin::enhancedMoveToHueAndSaturation()
{

}

bool ZigatePlugin::colourLoopSet()
{

}

bool ZigatePlugin::stopMoveStep()
{

}

bool ZigatePlugin::moveToColourTemperature()
{

}

bool ZigatePlugin::moveColourTemperature()
{

}

bool ZigatePlugin::stepColourTemperature()
{

}

bool ZigatePlugin::initiateTouchlink()
{

}

bool ZigatePlugin::touchLinkFactoryResetTarget()
{

}

bool ZigatePlugin::identifyTriggerEffect()
{

}

bool ZigatePlugin::lockUnlockDoor()
{

}

bool ZigatePlugin::readAttributerequest()
{

}

bool ZigatePlugin::writeAttributeRequest()
{

}

bool ZigatePlugin::configureReportingRequest()
{

}

bool ZigatePlugin::attributeDiscoveryRequest()
{

}

bool ZigatePlugin::iASZoneEnrollResponse()
{

}

bool ZigatePlugin::rawAPSDataRequest()
{

}
*/
